DCDUMP(1)

NAME
dcdump - ACR/NEMA DICOM PS3 ... DICOM PS3 - Describe DICOM file content

SYNOPSIS

dcdump [ -v|verbose ] [ -filename ]

DESCRIPTION

dcdump reads the named dicom or acr-nema input file and describes the information contained, attempting to interpret the structure of the message, including nested sequences (cf. andump).

The group and element number, dictionary and explicit value representation, description of tag, value length and value of the element are displayed, optionally with an offset byte count from the start of the file.

OPTIONS
The attribute values, description and verbose output go to standard error.

Binary attributes are written in hexadecimal with a preceding "0x". Numeric string attributes are written in decimal. Attribute values are displayed in hexadecimal or string format as determined by the value representation.

The basic input switches are described in dcintro(1). Options specific to this program are:

-verbose
    Display byte offset from file start and message start, in hexadecimal, and dump contents while reading and once read.

-filename
    Show the name of the file supplied in the arguments; a hyphen will be reported if no filename was supplied.

ENVIRONMENT

EXAMPLES

% dcdump NM.dc3
(0x0008,0x0000) UL Group Length VR=<UL> VL=<0x0004> [0x08]
(0x0008,0x0008) CS Image Type VR=<CS> VL=<0x0024> <...>
 ...
(0x0054,0x0013) SQ ... Sequence VR=<SQ> VL=<0xffffffff> []
----:
>(0x0054,0x0014) DS Energy Win LL VR=<DS> VL=<0x0006> <1.0>
>(0x0054,0x0015) DS Energy Win UL VR=<DS> VL=<0x0006> <9.0>
 ...

FILES

SEE ALSO
andump(1), dcintro(1)

AUTHOR
Copyright (C) 1993-2010. David A. Clunie DBA PixelMed Publishing. All rights reserved.

BUGS